> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NFT tokens by id for address

> Get token details for a specific token of an NFT contract.



## OpenAPI

````yaml get /somnia/v1/nft/collections/{address}/tokens/{tokenID}
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /somnia/v1/nft/collections/{address}/tokens/{tokenID}:
    get:
      tags:
        - NFTs
      summary: Get NFT tokens by id for address
      description: Get token details for a specific token of an NFT contract.
      operationId: getNFTTokenByIDForAddress
      parameters:
        - description: Contract address.
          in: path
          name: address
          required: true
          schema:
            type: string
        - description: Token ID of the contract.
          in: path
          name: tokenID
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTTokenBalance'
          description: NFT token with metadata.
components:
  schemas:
    NFTTokenBalance:
      properties:
        address:
          description: Contract address of the NFT token.
          type: string
        balance:
          description: balance of NFT
          type: string
          x-omitempty: true
        ercType:
          description: ERC standard type.
          type: string
        metadata:
          $ref: '#/components/schemas/Metadata'
        tokenId:
          description: Unique identifier of the token.
          type: string
        tokenUri:
          description: URI pointing to the token metadata.
          type: string
      required:
        - address
        - ercType
        - tokenId
        - tokenUri
        - metadata
        - name
        - symbol
      type: object
    Metadata:
      properties:
        attributes:
          description: Additional attributes of the token.
          type: string
          x-omitempty: true
        decimals:
          description: Decimals of the token.
          format: int64
          type: integer
          x-nullable: true
        description:
          description: Description of the token.
          type: string
          x-omitempty: true
        externalUrl:
          description: External URL related to the token.
          type: string
          x-omitempty: true
        imageUri:
          description: URI for the token image.
          type: string
          x-omitempty: true
        mintedBlockNumber:
          description: Minted block number of the token.
          format: int64
          type: integer
          x-omitempty: true
        mintedTimestamp:
          description: Minted timestamp of the token.
          format: date-time
          type: string
          x-omitempty: true
        name:
          description: Name of the token.
          type: string
          x-omitempty: true
        symbol:
          description: Symbol of the token.
          type: string
          x-omitempty: true
      required:
        - mintedBlockNumber
        - name
        - symbol
        - imageUri
        - description
        - externalUrl
        - attributes
      type: object

````